diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
index d76256be..13740fd9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
@@ -9,54 +9,71 @@
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as types_utils
 
 
-class TypesGetTestCase(BaseTestGenerator):
-    """ This class will get the type under schema node. """
-    scenarios = [
-        ('Get type under schema node', dict(url='/browser/type/obj/'))
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to get a type.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
+class TestTypesGet:
+    def test_types_get(self, request, context_of_tests):
+        """
+        When the types get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/type/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to get a type.")
-        self.type_name = "test_type_get_%s" % (str(uuid.uuid4())[1:8])
+            raise Exception("Could not find the schema.")
+
+        type_name = "test_type_delete_%s" % (str(uuid.uuid4())[1:8])
         self.type_id = types_utils.create_type(self.server, self.db_name,
-                                               self.schema_name, self.type_name
-                                               )
+                                               self.schema_name, type_name)
 
-    def runTest(self):
-        """ This function will get a type under schema node. """
         response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}".format(self.url, utils.SERVER_GROUP,
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
                                             self.server_id, self.db_id,
                                             self.schema_id, self.type_id
                                             ),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(type_name)
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
index 753b4e42..4d908e26 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
@@ -10,60 +10,83 @@
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as types_utils
 
 
-class TypesUpdateTestCase(BaseTestGenerator):
-    """ This class will update type under schema node. """
-    scenarios = [
-        ('Update type under schema node', dict(url='/browser/type/obj/'))
-    ]
+class TestTypesPut:
+    def test_types_put(self, request, context_of_tests):
+        """
+        When the types put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/type/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to update a type.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to update a type.")
-        self.type_name = "test_type_put_%s" % (str(uuid.uuid4())[1:8])
-        self.type_id = types_utils.create_type(self.server, self.db_name,
-                                               self.schema_name, self.type_name
-                                               )
+            raise Exception("Could not find the schema.")
 
-    def runTest(self):
-        """ This function will update type under schema node. """
+        type_name = "test_type_delete_%s" % (str(uuid.uuid4())[1:8])
+        self.type_id = types_utils.create_type(self.server, self.db_name,
+                                               self.schema_name, type_name)
         type_response = types_utils.verify_type(self.server, self.db_name,
-                                                self.type_name)
+                                                type_name)
         if not type_response:
             raise Exception("Could not find the type to update.")
+
         data = {"id": self.type_id,
                 "description": "this is test comment."}
         response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}".format(self.url, utils.SERVER_GROUP,
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
                                             self.server_id, self.db_id,
                                             self.schema_id, self.type_id
                                             ),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'type',
+            'pgadmin.node.type',
+            False,
+            'icon-type',
+            type_name
+        )
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py
index 25b6a694..ff882912 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/__init__.py
@@ -7,7 +7,7 @@
 #
 ##########################################################################
 
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 
 
 class ViewsTestGenerator(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
index eb1404e7..a77cd1f4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
@@ -9,95 +9,179 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import PostgresVersion
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class ViewsAddTestCase(BaseTestGenerator):
-    """This class will add new view under schema node."""
-    view_name = "test_view_add_%s" % (str(uuid.uuid4())[1:8])
-    v_data = {"schema": "",
-              "owner": "",
-              "datacl": [],
-              "seclabels": [],
-              "name": view_name,
-              "definition": "SELECT 'Hello World';"
-              }
-    m_view_name = "test_mview_add_%s" % (str(uuid.uuid4())[1:8])
-    m_view_data = {"spcname": "pg_default",
-                   "toast_autovacuum_enabled": False,
-                   "autovacuum_enabled": False,
-                   "schema": "",
-                   "owner": "",
-                   "vacuum_table": [
-                       {"name": "autovacuum_analyze_scale_factor"},
-                       {"name": "autovacuum_analyze_threshold"},
-                       {"name": "autovacuum_freeze_max_age"},
-                       {"name": "autovacuum_vacuum_cost_delay"},
-                       {"name": "autovacuum_vacuum_cost_limit"},
-                       {"name": "autovacuum_vacuum_scale_factor"},
-                       {"name": "autovacuum_vacuum_threshold"},
-                       {"name": "autovacuum_freeze_min_age"},
-                       {"name": "autovacuum_freeze_table_age"}],
-                   "vacuum_toast": [{"name": "autovacuum_freeze_max_age"},
-                                    {"name": "autovacuum_vacuum_cost_delay"},
-                                    {"name": "autovacuum_vacuum_cost_limit"},
-                                    {"name": "autovacuum_vacuum_scale_factor"},
-                                    {"name": "autovacuum_vacuum_threshold"},
-                                    {"name": "autovacuum_freeze_min_age"},
-                                    {"name": "autovacuum_freeze_table_age"}],
-                   "datacl": [],
-                   "seclabels": [],
-                   "name": m_view_name,
-                   "definition": "SELECT 'test_pgadmin';"}
-    scenarios = [
-        ('Add view under schema node', dict(url='/browser/view/obj/',
-                                            data=v_data)),
-        ('Add materialized view under schema node',
-         dict(url='/browser/mview/obj/', data=m_view_data))
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v93},
+                                      "Materialized Views are not supported "
+                                      "by PG9.2 "
+                                      "and PPAS9.2 and below.")
+class TestViewAdd:
+    def test_views_add(self, request, context_of_tests):
+        """
+        When the views add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/view/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        db_user = self.server["username"]
+        view_name = "test_view_add_%s" % (str(uuid.uuid4())[1:8])
+        data = {
+            "schema": self.schema_name,
+            "owner": db_user,
+            "datacl": [],
+            "seclabels": [],
+            "name": view_name,
+            "definition": "SELECT 'Hello World';"
+        }
+
+        response = self.tester.post(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/',
+            data=json.dumps(data),
+            content_type='html/json')
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'view',
+            'pgadmin.node.view',
+            True,
+            'icon-view',
+            view_name
+        )
+
+    def test_materialized_views_add(self, request, context_of_tests):
+        """
+        When the materialized views add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/mview/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
         server_response = server_utils.connect_server(self, self.server_id)
 
-        if server_response["data"]["version"] < 90300 and "mview" in self.url:
+        if server_response["data"]["version"] < 90300:
             message = "Materialized Views are not supported by PG9.2 " \
                       "and PPAS9.2 and below."
-            self.skipTest(message)
-
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add view.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
+            pytest.skipTest(message)
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add the view.")
+            raise Exception("Could not find the schema.")
 
-    def runTest(self):
-        """This function will add view under schema node."""
         db_user = self.server["username"]
-        self.data["schema"] = self.schema_name
-        self.data["owner"] = db_user
+        view_name = "test_mview_add_%s" % (str(uuid.uuid4())[1:8])
+        data = {
+            "spcname": "pg_default",
+            "toast_autovacuum_enabled": False,
+            "autovacuum_enabled": False,
+            "schema": self.schema_name,
+            "owner": db_user,
+            "vacuum_table": [
+                {"name": "autovacuum_analyze_scale_factor"},
+                {"name": "autovacuum_analyze_threshold"},
+                {"name": "autovacuum_freeze_max_age"},
+                {"name": "autovacuum_vacuum_cost_delay"},
+                {"name": "autovacuum_vacuum_cost_limit"},
+                {"name": "autovacuum_vacuum_scale_factor"},
+                {"name": "autovacuum_vacuum_threshold"},
+                {"name": "autovacuum_freeze_min_age"},
+                {"name": "autovacuum_freeze_table_age"}],
+            "vacuum_toast": [{"name": "autovacuum_freeze_max_age"},
+                             {"name": "autovacuum_vacuum_cost_delay"},
+                             {"name": "autovacuum_vacuum_cost_limit"},
+                             {"name": "autovacuum_vacuum_scale_factor"},
+                             {"name": "autovacuum_vacuum_threshold"},
+                             {"name": "autovacuum_freeze_min_age"},
+                             {"name": "autovacuum_freeze_table_age"}],
+            "datacl": [],
+            "seclabels": [],
+            "name": view_name,
+            "definition": "SELECT 'test_pgadmin';"
+        }
+
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(self.server_id) +
-            '/' + str(self.db_id) + '/' + str(self.schema_id) + '/',
-            data=json.dumps(self.data), content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/',
+            data=json.dumps(data),
+            content_type='html/json')
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'mview',
+            'pgadmin.node.mview',
+            True,
+            'icon-view',
+            view_name
+        )
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
